[git] CMU Common Lisp branch master updated. snapshot-2013-03-a-12-gb722521

Raymond Toy rtoy at alpha-cl-net.common-lisp.net
Sun Apr 14 05:12:54 UTC 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "CMU Common Lisp".

The branch, master has been updated
       via  b722521aea8ccd801d12afe519871ab34b8d789f (commit)
      from  81f3fa22008571b8a1c214e20086ab175ce26573 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit b722521aea8ccd801d12afe519871ab34b8d789f
Author: Raymond Toy <toy.raymond at gmail.com>
Date:   Sat Apr 13 22:12:36 2013 -0700

    Oops. Always build asdf and friends.

diff --git a/bin/build.sh b/bin/build.sh
index 99d0a43..496d641 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -247,23 +247,24 @@ fi
 BUILD=3
 buildit
 
+# Asdf and friends are part of the base install, so we need to build
+# them now.
+$TARGET/lisp/lisp $FPU_MODE -noinit -nositeinit -batch "$@" << EOF || exit 3
+(in-package :cl-user)
+(setf (ext:search-list "target:")
+      '("$TARGET/" "src/"))
+(setf (ext:search-list "modules:")
+      '("target:contrib/"))
+
+(compile-file "modules:asdf/asdf")
+(compile-file "modules:defsystem/defsystem")
+EOF
+
+
 if [ "$SKIPUTILS" = "no" ];
 then
     OLDLISP="${BASE}-4/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
     time $TOOLDIR/build-utils.sh $TARGET $FPU_MODE
-else
-# But asdf and friends are part of the base install, so we need to build them.
-    $TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
-    (in-package :cl-user)
-    (setf (ext:search-list "target:")
-	  '("$TARGET/" "src/"))
-    (setf (ext:search-list "modules:")
-	  '("target:contrib/"))
-
-    (compile-file "modules:asdf/asdf")
-    (compile-file "modules:defsystem/defsystem")
-EOF
-
 fi
 
 build_finished=`date`

-----------------------------------------------------------------------

Summary of changes:
 bin/build.sh |   27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)


hooks/post-receive
-- 
CMU Common Lisp



More information about the cmucl-cvs mailing list